> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catenatelematics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 🧪 List Resource Operations

> Get a paginated list of resource operations.

Supports flexible filtering by date range, resource type, connection, source, fleet reference,
operation type, and source ID. Use `source_id` together with `resource` to target a specific
record in the TSP.

<Callout icon="vial" color="#FFC107" iconType="solid"><strong>Provisional endpoint</strong><br />This endpoint is available for early access. The core schema is stable, but minor details — such as field names or added fields — may change before it becomes generally available. Backward compatibility is not guaranteed.<br /><br /><em>See <a href="/api-reference/stability-versioning">API Stability & Versioning</a> for details on provisional endpoints.</em></Callout>


## OpenAPI

````yaml https://api.catenatelematics.com/v2/integrations/openapi.json get /v2/integrations/connections/resource-operations
openapi: 3.1.0
info:
  title: Telematics Integrations Service - REST API
  description: Integrations Service REST API.
  version: 0.1.0
servers:
  - url: https://api.catenatelematics.com
    description: Catena Telematics API
security: []
tags:
  - name: Connections
    description: >-
      Endpoints for managing connections between Fleets and TSPs, including
      their nested schedules and executions. A connection has schedules, and
      each schedule has executions.
  - name: TSP Integrations
    description: Endpoints to view TSPs and their integration support status per resource.
paths:
  /v2/integrations/connections/resource-operations:
    get:
      tags:
        - Resource Operations
      summary: List Resource Operations
      description: >-
        Get a paginated list of resource operations.


        Supports flexible filtering by date range, resource type, connection,
        source, fleet reference,

        operation type, and source ID. Use `source_id` together with `resource`
        to target a specific

        record in the TSP.
      operationId: list_resource_operations
      parameters:
        - name: resource
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ResourceEnum'
              - type: 'null'
            description: >-
              Filter resource operations by resource type (e.g., `vehicle`,
              `user`, `fuel_charge`).
            title: Resource
          description: >-
            Filter resource operations by resource type (e.g., `vehicle`,
            `user`, `fuel_charge`).
        - name: connection_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: Filter resource operations by connection ID.
            title: Connection Id
          description: Filter resource operations by connection ID.
        - name: source_name
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/TspEnum'
              - type: 'null'
            description: Filter resource operations by source name.
            title: Source Name
          description: Filter resource operations by source name.
        - name: fleet_refs
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  type: string
                maxItems: 100
              - type: 'null'
            description: >-
              Filter resource operations by one or more fleet references.
              **Maximum:** 100 values. To specify multiple values, repeat the
              parameter for each value (e.g.,
              `?fleet_refs=ref1&fleet_refs=ref2`).
            title: Fleet Refs
          description: >-
            Filter resource operations by one or more fleet references.
            **Maximum:** 100 values. To specify multiple values, repeat the
            parameter for each value (e.g., `?fleet_refs=ref1&fleet_refs=ref2`).
        - name: operation
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ResourceOperationTypeEnum'
              - type: 'null'
            description: >-
              Filter resource operations by operation type (e.g., `create`,
              `update`).
            title: Operation
          description: >-
            Filter resource operations by operation type (e.g., `create`,
            `update`).
        - name: source_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Filter resource operations by source ID in the TSP. Requires the
              `resource` parameter.
            title: Source Id
          description: >-
            Filter resource operations by source ID in the TSP. Requires the
            `resource` parameter.
        - name: from_datetime
          in: query
          required: false
          schema:
            type: string
            format: date-time
            description: >-
              Return only records that occurred on or after this date and time.
              **Format:** ISO 8601 (UTC) **Applies filter:** `occurred_at >=
              from_datetime` **Default value:** `now() - 1 day` **Restriction:**
              `to_datetime - from_datetime` cannot exceed 45 days
            examples:
              - '2026-06-25T16:12:45.642358Z'
            title: From Datetime
          description: >-
            Return only records that occurred on or after this date and time.
            **Format:** ISO 8601 (UTC) **Applies filter:** `occurred_at >=
            from_datetime` **Default value:** `now() - 1 day` **Restriction:**
            `to_datetime - from_datetime` cannot exceed 45 days
        - name: to_datetime
          in: query
          required: false
          schema:
            type: string
            format: date-time
            description: >-
              Return only records that occurred before this date and time.
              **Format:** ISO 8601 (UTC) **Applies filter:** `occurred_at <
              to_datetime` **Default value:** `now()` **Restriction:**
              `to_datetime - from_datetime` cannot exceed 45 days
            examples:
              - '2026-06-26T16:12:45.642493Z'
            title: To Datetime
          description: >-
            Return only records that occurred before this date and time.
            **Format:** ISO 8601 (UTC) **Applies filter:** `occurred_at <
            to_datetime` **Default value:** `now()` **Restriction:**
            `to_datetime - from_datetime` cannot exceed 45 days
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor for the next page
            title: Cursor
          description: Cursor for the next page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            description: Page size
            default: 300
            title: Size
          description: Page size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/_CursorPage_TypeVar_Customized_ResourceOperationRead_
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequest'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Forbidden'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFound'
          description: Not Found
        '405':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MethodNotAllowed'
          description: Method Not Allowed
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Conflict'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableEntity'
          description: Unprocessable Entity
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequests'
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
          description: Internal Server Error
        '504':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewayTimeout'
          description: Gateway Timeout
      security:
        - Bearer:
            - resource_operation:read
components:
  schemas:
    ResourceEnum:
      type: string
      enum:
        - asset
        - driver_association
        - driver_vehicle_association
        - driver_event_log
        - driver_safety_event
        - dvir_log
        - dvir_log_defect
        - engine_log
        - engine_status
        - fuel_transaction
        - fleet_info
        - hos_availability
        - hos_daily_snapshot
        - hos_event
        - hos_event_annotation
        - hos_event_attachment
        - hos_violation
        - ifta_summary
        - location_segment
        - message
        - group_message
        - user
        - vehicle
        - vehicle_location
        - vehicle_sensor
        - vehicle_region_segment
        - trailer
        - trailer_association
        - trailer_vehicle_association
        - trailer_location
        - trailer_status
        - workflow
      title: ResourceEnum
      description: Enum for resources
    TspEnum:
      type: string
      enum:
        - ada
        - ai_eld
        - air_eld
        - alfa_eld
        - alpha_eld
        - als
        - anytrek_pro
        - anytrek_classic
        - apex_eld
        - apollo
        - apollocloud
        - ascend
        - att
        - awaregps
        - azuga
        - bigroad
        - bluehorse_eld
        - blueinktech
        - bouncie
        - budgetgps
        - catena_simulator
        - captain_eld
        - carrier_lynx
        - club_eld
        - counting_trucks_eld
        - cyntrx
        - digital_eld
        - dragon_eld
        - drive_hos
        - drive_hos_v2
        - driver_tech
        - dsg_elogs
        - dynamic_eld
        - eighteighteight_eld
        - eld_88
        - eld_books
        - eld_mandate
        - eld_mandate_prime
        - eroad
        - eva_eld
        - evo_eld
        - expressway_eld
        - extreme_eld
        - ezlogz
        - ez_lynk
        - factor_eld
        - firstgate
        - fleetcomplete
        - fleetcompletehub
        - fleethunt
        - fleetpulse
        - fleetsharp
        - fleetup
        - fm
        - forwardthinking
        - forza_eld
        - geotab
        - gpsinsight
        - gpstab
        - gpstrackit
        - grand_eld
        - greenlight
        - groundhog
        - hcss
        - hos247
        - hutch
        - intellishift
        - ironman_eld
        - isaac
        - jjkeller
        - kinexaiot
        - knight_eld
        - konexial
        - lioneight
        - linxup
        - loop_eld
        - lucid_eld
        - luna_eld
        - lytx
        - lytxv3
        - mapon
        - matrack
        - maven
        - mdm_eld
        - mobilefleet
        - moonlight_eld
        - motion_eld
        - motive
        - my_drivebook
        - my_logs_eld
        - nero
        - netradyne
        - new_eld_world
        - nextgen_eld
        - nextraq
        - omnitracs
        - onestep
        - ontime_eld
        - optima
        - orbcomm
        - orient_eld
        - panda_eld
        - payd
        - peak_eld
        - peoplenet
        - phillips_connect
        - phoenix
        - pop_eld
        - prologs
        - proride_eld
        - qualitylogs_eld
        - randmcnally
        - rastrac
        - raven
        - redfox
        - regulog_eld
        - ridehub
        - roadeazy
        - rock_eld
        - rollingtrans
        - routemate
        - royal_eld
        - safelane
        - samsara
        - selectivedrive
        - simba_eld
        - skybitz
        - smart_elds
        - sparkle_eld
        - spireon
        - sun_eld
        - surfsight
        - swift
        - switchboard
        - synergy_eld
        - teletracnavman
        - teletracnavman_director
        - telogis
        - tenna
        - thermo_king
        - think
        - tive
        - topcompliance_eld
        - traccar
        - trackease_eld
        - trackpro
        - traclog
        - transflo
        - trimble
        - truckford
        - truckspy
        - truckx
        - trueroad_eld
        - tt
        - txt_eld
        - us_fast_eld
        - verizon_connect
        - vista_eld
        - vistracks
        - vlog_eld
        - vulcansols_eld
        - wialon
        - webfleet
        - xplore_eld
        - zigzag_eld
        - zms_eld
        - zonar
        - zubie
      title: TspEnum
      description: Enum for TSPs
    ResourceOperationTypeEnum:
      type: string
      enum:
        - create
        - update
      title: ResourceOperationTypeEnum
      description: Enum for the type of operation to perform on a resource.
    _CursorPage_TypeVar_Customized_ResourceOperationRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ResourceOperationRead'
          type: array
          title: Items
        current_page:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Page
          description: Cursor to refetch the current page
        current_page_backwards:
          anyOf:
            - type: string
            - type: 'null'
          title: Current Page Backwards
          description: Cursor to refetch the current page starting from the last item
        previous_page:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Page
          description: Cursor for the previous page
        next_page:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page
          description: Cursor for the next page
      type: object
      required:
        - items
      title: _CursorPage[TypeVar]Customized[ResourceOperationRead]
    BadRequest:
      properties:
        code:
          type: integer
          title: Code
          default: 400
        message:
          type: string
          title: Message
          default: Bad Request
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: BadRequest
    Unauthorized:
      properties:
        code:
          type: integer
          title: Code
          default: 401
        message:
          type: string
          title: Message
          default: Unauthorized
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: Unauthorized
    Forbidden:
      properties:
        code:
          type: integer
          title: Code
          default: 403
        message:
          type: string
          title: Message
          default: Forbidden
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: Forbidden
    NotFound:
      properties:
        code:
          type: integer
          title: Code
          default: 404
        message:
          type: string
          title: Message
          default: Not Found
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: NotFound
    MethodNotAllowed:
      properties:
        code:
          type: integer
          title: Code
          default: 405
        message:
          type: string
          title: Message
          default: Method Not Allowed
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: MethodNotAllowed
    Conflict:
      properties:
        code:
          type: integer
          title: Code
          default: 409
        message:
          type: string
          title: Message
          default: Conflict
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: Conflict
    UnprocessableEntity:
      properties:
        code:
          type: integer
          title: Code
          default: 422
        message:
          type: string
          title: Message
          default: Invalid Request Body
        detail:
          anyOf:
            - items:
                $ref: '#/components/schemas/ValidationErrorDetail'
              type: array
            - type: 'null'
          title: Detail
      type: object
      title: UnprocessableEntity
    TooManyRequests:
      properties:
        code:
          type: integer
          title: Code
          default: 429
        message:
          type: string
          title: Message
          default: Too Many Requests
        detail:
          anyOf:
            - $ref: '#/components/schemas/RetryAfterDetail'
            - type: 'null'
      type: object
      title: TooManyRequests
    InternalServerError:
      properties:
        message:
          type: string
          title: Message
          default: Internal Server Error
      type: object
      title: InternalServerError
    GatewayTimeout:
      properties:
        code:
          type: integer
          title: Code
          default: 504
        message:
          type: string
          title: Message
          default: Gateway Timeout
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: GatewayTimeout
    ResourceOperationRead:
      properties:
        id:
          type: string
          format: uuid
          title: Operation ID
          description: Unique identifier for the resource operation.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the resource operation was created.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when the resource operation was last updated.
        partner_id:
          type: string
          format: uuid
          title: Partner ID
          description: The ID of the partner that owns this operation.
        connection_id:
          type: string
          format: uuid
          title: Connection ID
          description: The ID of the connection associated with this operation.
        fleet_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Fleet Reference
          description: The reference of the fleet in the partner's system.
        source_name:
          $ref: '#/components/schemas/TspEnum'
          title: Source Name
          description: The source name of the operation.
        resource:
          $ref: '#/components/schemas/ResourceEnum'
          title: Resource Type
          description: >-
            The type of resource to operate on (e.g., vehicle, driver,
            hos_event).
        resource_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Resource ID
          description: >-
            Unique identifier of the resource in Catena Telematics. Can be
            `null` if the operation is pending or failed.
        source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source ID
          description: >-
            Unique identifier of the record in the TSP. Can be `null` if the
            operation is pending or failed.
        operation_type:
          $ref: '#/components/schemas/ResourceOperationTypeEnum'
          title: Operation Type
          description: The type of operation to perform (e.g., create, update).
        status:
          $ref: '#/components/schemas/ResourceOperationStatusEnum'
          title: Operation Status
          description: The current status of the operation.
        payload:
          additionalProperties: true
          type: object
          title: Operation Payload
          description: >-
            The payload of the operation, containing the resource attributes to
            be created or updated.
        logs:
          items:
            $ref: '#/components/schemas/ResourceOperationLogRead'
          type: array
          title: Logs
          description: Log entries for each attempt to execute this operation.
      type: object
      required:
        - id
        - created_at
        - updated_at
        - partner_id
        - connection_id
        - source_name
        - resource
        - operation_type
        - status
        - payload
      title: ResourceOperationRead
      description: API response model for a resource operation, including its logs.
    ValidationErrorDetail:
      properties:
        path:
          type: string
          title: Path
        input:
          type: string
          title: Input
        message:
          type: string
          title: Message
        error_type:
          type: string
          title: Error Type
      type: object
      required:
        - path
        - input
        - message
        - error_type
      title: ValidationErrorDetail
    RetryAfterDetail:
      properties:
        retry_after_seconds:
          type: integer
          title: Retry After Seconds
        message:
          type: string
          title: Message
      type: object
      required:
        - retry_after_seconds
        - message
      title: RetryAfterDetail
    ResourceOperationStatusEnum:
      type: string
      enum:
        - pending
        - success
        - failed
      title: ResourceOperationStatusEnum
      description: Enum for the status of a resource operation.
    ResourceOperationLogRead:
      properties:
        id:
          type: string
          format: uuid
          title: Log ID
          description: Unique identifier for the log entry.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the log entry was created.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when the log entry was last updated.
        resource_operation_id:
          type: string
          format: uuid
          title: Resource Operation ID
          description: The ID of the resource operation this log entry belongs to.
        status:
          $ref: '#/components/schemas/ResourceOperationLogStatusEnum'
          title: Status
          description: The status of the operation attempt.
        error_type:
          anyOf:
            - $ref: '#/components/schemas/ResourceOperationErrorTypeEnum'
            - type: 'null'
          title: Error Type
          description: The type of error that occurred, if any.
        error_details:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Details
          description: Detailed information about the error, if any.
        response_status_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Response Status Code
          description: HTTP status code returned by the TSP, if available.
        response_headers:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Response Headers
          description: >-
            Safe TSP response headers: rate-limit (Retry-After, X-RateLimit-*,
            RateLimit-*) and request IDs (X-Request-Id, X-Correlation-Id,
            X-Trace-Id). Other headers are redacted.
      type: object
      required:
        - id
        - created_at
        - updated_at
        - resource_operation_id
        - status
      title: ResourceOperationLogRead
      description: API response model for a resource operation log entry.
    ResourceOperationLogStatusEnum:
      type: string
      enum:
        - success
        - failed
      title: ResourceOperationLogStatusEnum
      description: Enum for the status of a resource operation log entry.
    ResourceOperationErrorTypeEnum:
      type: string
      enum:
        - auth
        - validation
        - network
        - tsp
      title: ResourceOperationErrorTypeEnum
      description: Enum for the type of error that occurred during a resource operation.
  securitySchemes:
    Bearer:
      type: oauth2
      flows:
        clientCredentials:
          refreshUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/token
          scopes: {}
          tokenUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/token
        authorizationCode:
          refreshUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/token
          scopes: {}
          authorizationUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/auth
          tokenUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/token

````